'use strict';

var _commander = require('commander');

var _commander2 = _interopRequireDefault(_commander);

var _create = require('./cli/create');

var _create2 = _interopRequireDefault(_create);

var _generate = require('./cli/generate');

var _generate2 = _interopRequireDefault(_generate);

var _logger = require('./logger');

var _logger2 = _interopRequireDefault(_logger);

var _package = require('../package.json');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_commander2.default.version(_package.version);

_commander2.default.command('create [name]').description('create application with a name').action(function (name) {
  return (0, _create2.default)(name);
});

_commander2.default.command('generate [type] [feature] [name]').description('generate file with ease').action(function (type, feature, name) {
  return (0, _generate2.default)(type, feature, name);
});

_commander2.default.command('*').action(function () {
  return _logger2.default.warn('Wrong input');
});

_commander2.default.parse(process.argv);
//# sourceMappingURL=index.js.map